%define		_status		beta
%define		_pearname	File_PDF
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - PDF generation using only PHP
Summary(pl.UTF-8):	%{_pearname} - generowanie PDF za pomocą samego PHP
Name:		php-pear-%{_pearname}
Version:	0.3.3
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	79c4d2b65ff43c75e1e46ae588f6a687
URL:		http://pear.php.net/package/File_PDF/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Suggests:	php-pear-HTTP_Download
Obsoletes:	php-pear-File_PDF-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTTP/Download.*)'

%description
This package provides PDF generation using only PHP, without requiring
any external libraries.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa umożliwia generowanie dokumentów PDF za pomocą samego PHP,
bez konieczności posiadania zewnętrznych bibliotek.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/*.php
%{php_pear_dir}/File/PDF
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 0748bf3
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 869fa3c
- updated to: 0.3.3

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 435a663
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b754029
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> a8beb5d
- updated deps with pearize.sh
- release 2

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> a4d3981
- up to 0.3.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 55d871f
- rel 2

* Sun Nov 11 2007 Adam Gołębiowski <adamg@pld-linux.org> d9c3d4e
- updated to 0.3.1

* Sat Sep 15 2007 Adam Gołębiowski <adamg@pld-linux.org> cb01116
- updated to 0.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4f3158f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c30e7eb
- converted to UTF-8

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 771b776
- updated to 0.1.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 8531301
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> b011bb4
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 7d2a892
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 177da14
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 79a0acf
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 9df7cac
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 2e38a20
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 6c29715
- rel 2

